Subject: 2.4.18: CPM1 stops when initializing ATM/UTOPIA.

From: Theo Gjaltema <[email-masked]>
Date: Fri, 06 May 2005 20:41:53 +0200

Hi,

Last week I was trying to integrate the atm/utopia driver (sourceforce) 
into a 2.4.18 kernel build for a 862, but mij attemtps failed. It 
appeared that wen on the first location of the SCC4 (now used for 
utopia) a buffer address is written, most CPM activities are halted, 
including the SCM1 which I used as console port. The console driver did 
write in the allocated buffer descriptors, but the tranmission of the 
data was never acknowledged, thus hanging the kernel.

Anyone an idea what happened?

Theo.